Two Sum Problem | Leetcode's First Ever Problem | Please watch new video - link in description

preview_player
Показать описание

Рекомендации по теме
Комментарии
Автор

The best teachers teach from the heart, not from the book. Thank you for being a wonderful teacher and motivator . Happy Teacher's Day!

rohityadav
Автор

I can feel Passion of teaching in your voice. Thank you Bhai for making such quality content for free ❤️

HafizurRahman-znsx
Автор

2 pointer approach
Worst case time -> O(NlogN) + O(N)
Space complexity -> O(1)

ArifWaqasofficial
Автор

Just appreciating the time and effort !!!!

iamthatsid
Автор

Hi Striver, whenever you get time, can you please make scenario based question and how to think in it?
Like if Interviewer asks to make a Data Structure according to some scenario type. It would be really helpful.🙏🙏🙏

javi
Автор

I'm learning everyday from your free videos.... Don't let this videos paid🙏🙏🙏🙏.... there are lot of students can't buy paid course...
Thank you bhaiya thank you for your help.❤️

koushikbiswas
Автор

I watch many videos regarding this, but you made this too easy to understand.

shivamMishra
Автор

first you have to sort the array then only you can use the two pointer method which you explained as the first solution.

chaitanyadeshmukh
Автор

Happy teachers' day Sir! Thanks for ua selfless efforts! <3

varuncu
Автор

Thankyou striver for providing the best of content for free
You have no idea to what extent you are helping people get away with their fear of solving problems.

RishitaBose
Автор

Alternate to Hashmap We can use Bit marging masking so that the space complexity gets constant

souryadeepdas
Автор

Thank you for this amazing video! You're doing gods work. Can you make a video about hashtables, collisions and hash map functions in C++?

farhanahmed
Автор

Yes Understood sorting based also exist with two pointer in O(nlogn)

ketanahuja
Автор

Please continue to make such amazing vids they're really helpful

vasujain
Автор


Understood or not ? Drop a Yes or No :D ..
.
.
.

takeUforward
Автор

I am seeing this after watching graphs series... U have improved a lot man..

Saurabh-febg
Автор

how about we sort and use 2 pointer technique? O(nlogn) wouldn't that be better, because maps are slow over a period.

Mohith
Автор

Amazing 👍 loved it.. I'm a beginner this was my first problem which I have solved on leetcode with the brute force...but your optimal approach was very good...

satyamsrivastava.
Автор

Why you are not using two pointer method, TC will be O(n) in that case as well

aamirhannan
Автор

is there any new method/algorithm to solve it?
can we optimize more? by modifying the array?

princebharti